commit:     6e4df795f84fc1a29621fad200fd193ba447e879
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  1 14:14:58 2017 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Tue Aug  1 14:23:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e4df795

app-i18n/ibus: add libnotify USE flag

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 app-i18n/ibus/ibus-1.5.12.ebuild | 17 +++++++++++------
 app-i18n/ibus/ibus-1.5.15.ebuild | 17 +++++++++++------
 2 files changed, 22 insertions(+), 12 deletions(-)

diff --git a/app-i18n/ibus/ibus-1.5.12.ebuild b/app-i18n/ibus/ibus-1.5.12.ebuild
index 55ba530a056..ebad2ff67aa 100644
--- a/app-i18n/ibus/ibus-1.5.12.ebuild
+++ b/app-i18n/ibus/ibus-1.5.12.ebuild
@@ -14,8 +14,9 @@ 
SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="alpha amd64 arm ~arm64 ia64 ppc ppc64 sparc x86 ~x86-fbsd"
-IUSE="gconf +gtk +gtk2 +introspection nls +python test vala wayland +X"
-REQUIRED_USE="python? (
+IUSE="gconf +gtk +gtk2 +introspection +libnotify nls +python test vala wayland 
+X"
+REQUIRED_USE="libnotify? ( gtk )
+       python? (
                ${PYTHON_REQUIRED_USE}
                gtk
                introspection
@@ -28,7 +29,6 @@ CDEPEND="app-text/iso-codes
        gnome-base/dconf
        gnome-base/librsvg:2
        sys-apps/dbus[X?]
-       x11-libs/libnotify
        gconf? ( gnome-base/gconf:2 )
        gtk? (
                x11-libs/gtk+:3
@@ -37,6 +37,7 @@ CDEPEND="app-text/iso-codes
                gtk2? ( x11-libs/gtk+:2 )
        )
        introspection? ( dev-libs/gobject-introspection )
+       libnotify? ( x11-libs/libnotify )
        nls? ( virtual/libintl )
        python? (
                ${PYTHON_DEPS}
@@ -60,13 +61,16 @@ RDEPEND="${CDEPEND}
                )
        )"
 DEPEND="${CDEPEND}
+       $(vala_depend)
        dev-util/intltool
        virtual/pkgconfig
-       nls? ( sys-devel/gettext )
-       vala? ( $(vala_depend) )"
+       nls? ( sys-devel/gettext )"
 
 src_prepare() {
-       use vala && vala_src_prepare
+       vala_src_prepare --ignore-use
+       if ! use libnotify; then
+               touch ui/gtk3/panel.vala
+       fi
        # for multiple Python implementations
        sed -i "s/^\(PYGOBJECT_DIR =\).*/\1/" bindings/Makefile.am
        # fix for parallel install
@@ -105,6 +109,7 @@ src_configure() {
                $(use_enable gtk ui) \
                $(use_enable gtk2) \
                $(use_enable introspection) \
+               $(use_enable libnotify) \
                $(use_enable nls) \
                $(use_enable test tests) \
                $(use_enable vala) \

diff --git a/app-i18n/ibus/ibus-1.5.15.ebuild b/app-i18n/ibus/ibus-1.5.15.ebuild
index afed2d1f73d..7dc6dcd6bed 100644
--- a/app-i18n/ibus/ibus-1.5.15.ebuild
+++ b/app-i18n/ibus/ibus-1.5.15.ebuild
@@ -14,8 +14,9 @@ 
SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-IUSE="gconf +gtk +gtk2 +introspection nls +python test vala wayland +X"
-REQUIRED_USE="python? (
+IUSE="gconf +gtk +gtk2 +introspection +libnotify nls +python test vala wayland 
+X"
+REQUIRED_USE="libnotify? ( gtk )
+       python? (
                ${PYTHON_REQUIRED_USE}
                gtk
                introspection
@@ -28,7 +29,6 @@ CDEPEND="app-text/iso-codes
        gnome-base/dconf
        gnome-base/librsvg:2
        sys-apps/dbus[X?]
-       x11-libs/libnotify
        gconf? ( gnome-base/gconf:2 )
        gtk? (
                x11-libs/gtk+:3
@@ -37,6 +37,7 @@ CDEPEND="app-text/iso-codes
                gtk2? ( x11-libs/gtk+:2 )
        )
        introspection? ( dev-libs/gobject-introspection )
+       libnotify? ( x11-libs/libnotify )
        nls? ( virtual/libintl )
        python? (
                ${PYTHON_DEPS}
@@ -60,13 +61,16 @@ RDEPEND="${CDEPEND}
                )
        )"
 DEPEND="${CDEPEND}
+       $(vala_depend)
        dev-util/intltool
        virtual/pkgconfig
-       nls? ( sys-devel/gettext )
-       vala? ( $(vala_depend) )"
+       nls? ( sys-devel/gettext )"
 
 src_prepare() {
-       use vala && vala_src_prepare
+       vala_src_prepare --ignore-use
+       if ! use libnotify; then
+               touch ui/gtk3/panel.vala
+       fi
        # for multiple Python implementations
        sed -i "s/^\(PYGOBJECT_DIR =\).*/\1/" bindings/Makefile.am
        # fix for parallel install
@@ -101,6 +105,7 @@ src_configure() {
                $(use_enable gtk ui) \
                $(use_enable gtk2) \
                $(use_enable introspection) \
+               $(use_enable libnotify) \
                $(use_enable nls) \
                $(use_enable test tests) \
                $(use_enable vala) \

Reply via email to